Name:           ocaml-react
Version:        0.9.4
Release:        %mkrel 5
Summary:        OCaml module for Functional Reactive Programming (FRP)
License:        BSD
Group:          Development/OCaml
URL:            http://erratique.ch/software/react
Source0:        http://erratique.ch/software/react/releases/react-%{version}.tbz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
React is an OCaml module for functional reactive programming (FRP).
It provides support to program with time varying values : applicative
events and signals. React doesn't define any primitive event or signal,
this lets the client chooses the concrete timeline.

React is made of a single, independent, module and distributed under
the new BSD license.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n react-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --destdir %{buildroot}

ocaml setup.ml -build 

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install

%files
%doc README
%dir %{_libdir}/ocaml/react
%{_libdir}/ocaml/react/META
%{_libdir}/ocaml/react/react.cmi
%{_libdir}/ocaml/react/react.cma
%{_libdir}/ocaml/react/react.cmxs

%files devel
%doc doc
%{_libdir}/ocaml/react/react.cmx
%{_libdir}/ocaml/react/react.cmxa
%{_libdir}/ocaml/react/react.a
%{_libdir}/ocaml/react/react.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.4-5.mga3
+ Revision: 361584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 0.9.4-4.mga3
+ Revision: 308580
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.4-3.mga3
+ Revision: 301072
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.4-2.mga3
+ Revision: 300290
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 0.9.4-1.mga3
+ Revision: 279333
- now needs findlib to build
- updated to last version 0.9.4
- updated to last version 0.9.4
- updated to last version 0.9.4
- update to new version 0.9.3

* Wed Dec 21 2011 malo <malo> 0.9.2-4.mga2
+ Revision: 185380
- spec clean-up
- imported package ocaml-react

